Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.actions
Interface ActionDef

All Known Implementing Classes:
  ActionNull, ActionUDP, EventfulTableDataSet, ActionLog, ActionEmail, ActionRedirect, ActionRefreshPool

public interface ActionDef

Interface for user-written actions. An Action object that instantiates a user-written action class is used as an argument to the EventRegistration constructor. The user-written class, which is in the `CLASSPATH` of the T3Server, is dynamically loaded into the T3Server the first time any registration specifies it.

Because the Java class loader does not permit the passing of arguments to the constructors of dynamically loaded classes, the constructor for any user-written class that implements this interface must be a default constructor, that is, one that takes no arguments. The user-written registerInit() method takes the registration parameters as an input argument and allows the newly-constructed action object to inspect and act upon the registration parameters at the time of registration.

Note: The `isLongRunning()` method is deprecated in release 2.5. Users no longer need to implement this method in classes that implement this interface.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`

Method Summary
`void` | `action(EventMessageDef ev)` Acts on the specified EventMessage.
`void` | `registerInit(ParamSet params)` Initializes an action with the specified set of parameters.
`void` | `setServices(T3ServicesDef services)` Sets the services object for the action.

Method Detail

### registerInit

    public void registerInit(ParamSet params)
                      throws ParamSetException

  Initializes an action with the specified set of parameters. Since dynamically loaded classes cannot pass arguments in a constructor, this method is used to pass registration parameters to the newly-constructed action object.

  Parameters:
    `params` - ParamSet object
  Throws:
    ParamSetException - if there is a problem with the registration

### action

    public void action(EventMessageDef ev)

  Acts on the specified EventMessage. The T3Server calls this method when a user-written evaluate() method (from a class that implements weblogic.event.evaluators.EvaluateDef) returns true.

  Parameters:
    `ev` - EventMessage object
  See Also:
    `EvaluateDef`

### setServices

    public void setServices(T3ServicesDef services)

  Sets the services object for the action. The action can use the services reference to obtain access to other services in the T3Server.

  Parameters:
    `services` - Reference to access to T3Server services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD